%define module	forest_utils
%define name	perl-%{module}
%define version	0.07
%define release	%mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl module to convert between various formats for shared derivation forest
License:	GPL
Group:		Sciences/Computer science
Source:		ftp://ftp.inria.fr/INRIA/Projects/Atoll/Eric.Clergerie/TAG/%{module}-%{version}.tar.bz2
Url:		http://atoll.inria.fr/packages/packages.html#forest_utils
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-libxml-perl
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}
Obsoletes:	perl-Forest
Provides:	perl-Forest

%description
forest_utils is a set of Perl scripts to convert between various formats for
shared derivation forest produced by parsers for Tree Adjoining Grammars [TAG].

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}/%{perl_vendorlib}/*.pl

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{_bindir}/*
%{perl_vendorlib}/Forest*
%{_mandir}/*/*



%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.07-5mdv2009.0
+ Revision: 241224
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-3mdv2008.0
+ Revision: 86407
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-2mdv2007.0
- Rebuild

* Mon Mar 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdk
- new version

* Fri Mar 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-2mdk
- buildrequires

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdk
- new version
- drop patches

* Fri Dec 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-5mdk
- fixed name

* Fri Dec 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-4mdk
- spec cleanup
- %%mkrel

* Wed Dec 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.05-3mdk 
- fix buildrequires in a backward compatible way

* Mon Nov 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.05-2mdk 
- fix namespace issues

* Tue Nov 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.05-1mdk 
- first mdk release

